org.eclnt.jsfserver.elements.componentnodes

## Class PAINTAREALINEITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PAINTAREALINEITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class PAINTAREALINEITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAINTAREALINEITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAINTAREALINEITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `PAINTAREALINEITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindArrowfrom(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindArrowto(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindBounds(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindFixinterimpointfirst(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindFixinterimpointlast(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindFlush(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindForeground(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindInterimpoints(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindLinecolor(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindLinedash(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindLineid(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindLinesize(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindLinestyle(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindWitheditingofinterimpoints(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `bindZindex(IDynamicContentBindingObject value)`
    `PAINTAREALINEITEMNode` | `setActionListener(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setAdapterbinding(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setArrowfrom(int value)`
    `PAINTAREALINEITEMNode` | `setArrowfrom(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setArrowto(int value)`
    `PAINTAREALINEITEMNode` | `setArrowto(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setAttributemacro(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setBounds(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setComment(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setConfiginfo(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setEnabled(boolean value)`
    `PAINTAREALINEITEMNode` | `setEnabled(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setFixinterimpointfirst(boolean value)`
    `PAINTAREALINEITEMNode` | `setFixinterimpointfirst(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setFixinterimpointlast(boolean value)`
    `PAINTAREALINEITEMNode` | `setFixinterimpointlast(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setFlush(boolean value)`
    `PAINTAREALINEITEMNode` | `setFlush(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setForeground(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setId(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setInterimpoints(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setInvokeevent(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setLinecolor(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setLinedash(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setLineid(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setLinesize(int value)`
    `PAINTAREALINEITEMNode` | `setLinesize(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setLinestyle(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setPopupmenu(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setReference(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setRendered(boolean value)`
    `PAINTAREALINEITEMNode` | `setRendered(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setStylevariant(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setText(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setTooltip(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setWitheditingofinterimpoints(boolean value)`
    `PAINTAREALINEITEMNode` | `setWitheditingofinterimpoints(java.lang.String value)`
    `PAINTAREALINEITEMNode` | `setZindex(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PAINTAREALINEITEMNode

          public PAINTAREALINEITEMNode()

  - ### Method Detail

    - #### setId

          public PAINTAREALINEITEMNode setId(java.lang.String value)

    - #### setActionListener

          public PAINTAREALINEITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PAINTAREALINEITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public PAINTAREALINEITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public PAINTAREALINEITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setArrowfrom

          public PAINTAREALINEITEMNode setArrowfrom(java.lang.String value)

    - #### bindArrowfrom

          public PAINTAREALINEITEMNode bindArrowfrom(IDynamicContentBindingObject value)

    - #### setArrowfrom

          public PAINTAREALINEITEMNode setArrowfrom(int value)

    - #### setArrowto

          public PAINTAREALINEITEMNode setArrowto(java.lang.String value)

    - #### bindArrowto

          public PAINTAREALINEITEMNode bindArrowto(IDynamicContentBindingObject value)

    - #### setArrowto

          public PAINTAREALINEITEMNode setArrowto(int value)

    - #### setAttributemacro

          public PAINTAREALINEITEMNode setAttributemacro(java.lang.String value)

    - #### setBounds

          public PAINTAREALINEITEMNode setBounds(java.lang.String value)

    - #### bindBounds

          public PAINTAREALINEITEMNode bindBounds(IDynamicContentBindingObject value)

    - #### setComment

          public PAINTAREALINEITEMNode setComment(java.lang.String value)

    - #### bindComment

          public PAINTAREALINEITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PAINTAREALINEITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PAINTAREALINEITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public PAINTAREALINEITEMNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public PAINTAREALINEITEMNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public PAINTAREALINEITEMNode setEnabled(boolean value)

    - #### setFixinterimpointfirst

          public PAINTAREALINEITEMNode setFixinterimpointfirst(java.lang.String value)

    - #### bindFixinterimpointfirst

          public PAINTAREALINEITEMNode bindFixinterimpointfirst(IDynamicContentBindingObject value)

    - #### setFixinterimpointfirst

          public PAINTAREALINEITEMNode setFixinterimpointfirst(boolean value)

    - #### setFixinterimpointlast

          public PAINTAREALINEITEMNode setFixinterimpointlast(java.lang.String value)

    - #### bindFixinterimpointlast

          public PAINTAREALINEITEMNode bindFixinterimpointlast(IDynamicContentBindingObject value)

    - #### setFixinterimpointlast

          public PAINTAREALINEITEMNode setFixinterimpointlast(boolean value)

    - #### setFlush

          public PAINTAREALINEITEMNode setFlush(java.lang.String value)

    - #### bindFlush

          public PAINTAREALINEITEMNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public PAINTAREALINEITEMNode setFlush(boolean value)

    - #### setForeground

          public PAINTAREALINEITEMNode setForeground(java.lang.String value)

    - #### bindForeground

          public PAINTAREALINEITEMNode bindForeground(IDynamicContentBindingObject value)

    - #### setInterimpoints

          public PAINTAREALINEITEMNode setInterimpoints(java.lang.String value)

    - #### bindInterimpoints

          public PAINTAREALINEITEMNode bindInterimpoints(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public PAINTAREALINEITEMNode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public PAINTAREALINEITEMNode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setLinecolor

          public PAINTAREALINEITEMNode setLinecolor(java.lang.String value)

    - #### bindLinecolor

          public PAINTAREALINEITEMNode bindLinecolor(IDynamicContentBindingObject value)

    - #### setLinedash

          public PAINTAREALINEITEMNode setLinedash(java.lang.String value)

    - #### bindLinedash

          public PAINTAREALINEITEMNode bindLinedash(IDynamicContentBindingObject value)

    - #### setLineid

          public PAINTAREALINEITEMNode setLineid(java.lang.String value)

    - #### bindLineid

          public PAINTAREALINEITEMNode bindLineid(IDynamicContentBindingObject value)

    - #### setLinesize

          public PAINTAREALINEITEMNode setLinesize(java.lang.String value)

    - #### bindLinesize

          public PAINTAREALINEITEMNode bindLinesize(IDynamicContentBindingObject value)

    - #### setLinesize

          public PAINTAREALINEITEMNode setLinesize(int value)

    - #### setLinestyle

          public PAINTAREALINEITEMNode setLinestyle(java.lang.String value)

    - #### bindLinestyle

          public PAINTAREALINEITEMNode bindLinestyle(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public PAINTAREALINEITEMNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public PAINTAREALINEITEMNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public PAINTAREALINEITEMNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public PAINTAREALINEITEMNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public PAINTAREALINEITEMNode setReference(java.lang.String value)

    - #### setRendered

          public PAINTAREALINEITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public PAINTAREALINEITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PAINTAREALINEITEMNode setRendered(boolean value)

    - #### setStylevariant

          public PAINTAREALINEITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PAINTAREALINEITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public PAINTAREALINEITEMNode setText(java.lang.String value)

    - #### bindText

          public PAINTAREALINEITEMNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public PAINTAREALINEITEMNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public PAINTAREALINEITEMNode bindTooltip(IDynamicContentBindingObject value)

    - #### setWitheditingofinterimpoints

          public PAINTAREALINEITEMNode setWitheditingofinterimpoints(java.lang.String value)

    - #### bindWitheditingofinterimpoints

          public PAINTAREALINEITEMNode bindWitheditingofinterimpoints(IDynamicContentBindingObject value)

    - #### setWitheditingofinterimpoints

          public PAINTAREALINEITEMNode setWitheditingofinterimpoints(boolean value)

    - #### setZindex

          public PAINTAREALINEITEMNode setZindex(java.lang.String value)

    - #### bindZindex

          public PAINTAREALINEITEMNode bindZindex(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.